window.Gleam.initSearch([{"doc":"gwt","title":"gwt","content":"# gwt\n\n[![Package Version](https://img.shields.io/hexpm/v/gwt)](https://hex.pm/packages/gwt)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gwt/)\n\n## Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add gwt\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/gwt&gt;.\n","url":"index.html"},{"doc":"gwt","title":"Algorithm","content":"pub type Algorithm {\n  HS256\n}\n\nHS256\n\n\nSynonyms:\ngwt.Algorithm\ngwt Algorithm","url":"gwt.html#Algorithm"},{"doc":"gwt","title":"Jwt","content":"pub opaque type Jwt\n\n\nSynonyms:\ngwt.Jwt\ngwt Jwt","url":"gwt.html#Jwt"},{"doc":"gwt","title":"JwtDecodeError","content":"pub type JwtDecodeError {\n  MissingHeader\n  MissingPayload\n  MissingSignature\n  InvalidHeader\n  InvalidPayload\n  InvalidSignature\n  NoAlg\n}\n\nMissingHeader\n\n\nMissingPayload\n\n\nMissingSignature\n\n\nInvalidHeader\n\n\nInvalidPayload\n\n\nInvalidSignature\n\n\nNoAlg\n\n\nSynonyms:\ngwt.JwtDecodeError\ngwt JwtDecodeError","url":"gwt.html#JwtDecodeError"},{"doc":"gwt","title":"from_signed_string","content":"pub fn from_signed_string(\n  jwt_string: String,\n  secret: String,\n) -&gt; Result(Jwt, JwtDecodeError)\n\nSynonyms:\ngwt.from_signed_string\ngwt from_signed_string","url":"gwt.html#from_signed_string"},{"doc":"gwt","title":"from_string","content":"pub fn from_string(\n  jwt_string: String,\n) -&gt; Result(Jwt, JwtDecodeError)\n\nSynonyms:\ngwt.from_string\ngwt from_string","url":"gwt.html#from_string"},{"doc":"gwt","title":"get_issuer","content":"pub fn get_issuer(from jwt: Jwt) -&gt; Result(String, Nil)\n\nSynonyms:\ngwt.get_issuer\ngwt get_issuer","url":"gwt.html#get_issuer"},{"doc":"gwt","title":"get_payload_claim","content":"pub fn get_payload_claim(\n  from jwt: Jwt,\n  claim claim: String,\n  decoder decoder: fn(Dynamic) -&gt; Result(a, List(DecodeError)),\n) -&gt; Result(a, Nil)\n\nSynonyms:\ngwt.get_payload_claim\ngwt get_payload_claim","url":"gwt.html#get_payload_claim"},{"doc":"gwt","title":"get_subject","content":"pub fn get_subject(from jwt: Jwt) -&gt; Result(String, Nil)\n\nSynonyms:\ngwt.get_subject\ngwt get_subject","url":"gwt.html#get_subject"},{"doc":"gwt","title":"new","content":"pub fn new() -&gt; Jwt\n\nSynonyms:\ngwt.new\ngwt new","url":"gwt.html#new"},{"doc":"gwt","title":"set_header_claim","content":"pub fn set_header_claim(\n  jwt: Jwt,\n  set claim: String,\n  to value: Json,\n) -&gt; Jwt\n\nSynonyms:\ngwt.set_header_claim\ngwt set_header_claim","url":"gwt.html#set_header_claim"},{"doc":"gwt","title":"set_payload_audience","content":"pub fn set_payload_audience(jwt: Jwt, to aud: String) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_audience\ngwt set_payload_audience","url":"gwt.html#set_payload_audience"},{"doc":"gwt","title":"set_payload_claim","content":"pub fn set_payload_claim(\n  jwt: Jwt,\n  set claim: String,\n  to value: Json,\n) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_claim\ngwt set_payload_claim","url":"gwt.html#set_payload_claim"},{"doc":"gwt","title":"set_payload_expiration","content":"pub fn set_payload_expiration(jwt: Jwt, to exp: Int) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_expiration\ngwt set_payload_expiration","url":"gwt.html#set_payload_expiration"},{"doc":"gwt","title":"set_payload_issued_at","content":"pub fn set_payload_issued_at(jwt: Jwt, to iat: Int) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_issued_at\ngwt set_payload_issued_at","url":"gwt.html#set_payload_issued_at"},{"doc":"gwt","title":"set_payload_issuer","content":"pub fn set_payload_issuer(jwt: Jwt, to iss: String) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_issuer\ngwt set_payload_issuer","url":"gwt.html#set_payload_issuer"},{"doc":"gwt","title":"set_payload_jwt_id","content":"pub fn set_payload_jwt_id(jwt: Jwt, to jti: String) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_jwt_id\ngwt set_payload_jwt_id","url":"gwt.html#set_payload_jwt_id"},{"doc":"gwt","title":"set_payload_not_before","content":"pub fn set_payload_not_before(jwt: Jwt, to nbf: Int) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_not_before\ngwt set_payload_not_before","url":"gwt.html#set_payload_not_before"},{"doc":"gwt","title":"set_payload_subject","content":"pub fn set_payload_subject(jwt: Jwt, to sub: String) -&gt; Jwt\n\nSynonyms:\ngwt.set_payload_subject\ngwt set_payload_subject","url":"gwt.html#set_payload_subject"},{"doc":"gwt","title":"to_signed_string","content":"pub fn to_signed_string(\n  jwt: Jwt,\n  alg: Algorithm,\n  secret: String,\n) -&gt; String\n\nSynonyms:\ngwt.to_signed_string\ngwt to_signed_string","url":"gwt.html#to_signed_string"},{"doc":"gwt","title":"to_string","content":"pub fn to_string(jwt: Jwt) -&gt; String\n\nSynonyms:\ngwt.to_string\ngwt to_string","url":"gwt.html#to_string"},{"doc":"gwt","title":"gwt","content":"","url":"gwt.html"}]);